> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Secret Value

> Gets the value of a secret.

`Unary` · [`Secrets`](/docs/api-reference/generated/secret/overview)

Gets the value of a secret. Only available to environments that are authorized to access the secret.

Use this method to:

* Retrieve secret values
* Access credentials

### Examples

* Get secret value:

  Retrieves the value of a specific secret.

  ```yaml theme={null}
  secretId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.SecretService/GetSecretValue
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.SecretService/GetSecretValue" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "secretId": "<redacted>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.secret_pb2 as secret_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = secret_pb2.GetSecretValueRequest(
      secret_id="<redacted>",
  )
  response = ona.services.secret.get_secret_value(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { GetSecretValueRequestSchema } from "@gitpod/sdk/gitpod/v1/secret_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(GetSecretValueRequestSchema, {
      secretId: "<redacted>",
    });
    const response = await ona.services.secret.getSecretValue(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.GetSecretValueRequest{
  		SecretId: "<redacted>",
  	})
  	response, err := ona.Services.Secret.GetSecretValue(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "secretId": "<redacted>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.GetSecretValueRequest`

| Field      | Type   | Required | Description                      |
| ---------- | ------ | -------- | -------------------------------- |
| `secretId` | string | No       | Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.GetSecretValueResponse`

| Field   | Type   | Required | Description |
| ------- | ------ | -------- | ----------- |
| `value` | string | No       |             |
